Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class OrTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.OrTerm

All Implemented Interfaces:
  java.io.Serializable

    public final class OrTerm

extends SearchTerm

This class implements the logical OR operator on individual SearchTerms.

See Also:
  Serialized Form

Field Summary
`protected SearchTerm[]` | `terms` The array of terms on which the OR operator should be applied.

Constructor Summary
`OrTerm(SearchTerm[] t)` Constructor that takes an array of SearchTerms.
`OrTerm(SearchTerm t1, SearchTerm t2)` Constructor that takes two operands.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`SearchTerm[]` | `getTerms()` Return the search terms.
`int` | `hashCode()` Compute a hashCode for this object.
`boolean` | `match(Message msg)` The OR operation.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### terms

    protected SearchTerm[] terms

  The array of terms on which the OR operator should be applied.

Constructor Detail

### OrTerm

    public OrTerm(SearchTerm t1,
                  SearchTerm t2)

  Constructor that takes two operands.

  Parameters:
    `t1` - first term
    `t2` - second term

### OrTerm

    public OrTerm(SearchTerm[] t)

  Constructor that takes an array of SearchTerms.

  Parameters:
    `t` - array of search terms

Method Detail

### getTerms

    public SearchTerm[] getTerms()

  Return the search terms.

### match

    public boolean match(Message msg)

  The OR operation.

  The terms specified in the constructor are applied to the given object and the OR operator is applied to their results.

  Specified by:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - The specified SearchTerms are applied to this Message and the OR operator is applied to their results.
  Returns:
    true if the OR succeds, otherwise false

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD